# {{ ansible_managed }}

Port {{ sshd_port }}
AddressFamily {{ sshd_address_family }}
{% for listen in sshd_listen_address %}
ListenAddress {{ listen }}
{% endfor %}

Protocol {{ sshd_protocol }}

{% for hostkey in sshd_host_key %}
HostKey {{ hostkey }}
{% endfor %}

SyslogFacility {{ sshd_syslog_facility }}
LogLevel {{ sshd_log_level }}

LoginGraceTime {{ sshd_login_grace_time }}
PermitRootLogin {{ sshd_permit_root_login }}
StrictModes {{ sshd_strict_mode }}
MaxAuthTries {{ sshd_max_auth_tries }}
MaxSessions {{ sshd_max_sessions }}

{% if sshd_deny_users|length > 0 %}
DenyUsers {{ sshd_deny_users | join(' ') }}
{% endif -%}
{% if sshd_allow_users|length > 0 %}
AllowUsers {{ sshd_allow_users | join(' ') }}
{% endif -%}

PubkeyAuthentication {{ sshd_pubkey_authentication }}

HostbasedAuthentication {{ sshd_hostbased_authentication }}
IgnoreRhosts {{ sshd_ignore_rhosts }}

PasswordAuthentication {{ sshd_password_authentication }}
PermitEmptyPasswords {{ sshd_permit_empty_passwords }}

ChallengeResponseAuthentication {{ sshd_challenge_response_authentication }}

KerberosAuthentication {{ sshd_kerberos_authentication }}
KerberosOrLocalPasswd {{ sshd_kerberos_or_local_passwd }}
KerberosTicketCleanup {{ sshd_kerberos_ticket_cleanup }}

GSSAPIAuthentication {{ sshd_GSSAPI_authentication }}
GSSAPICleanupCredentials {{ sshd_GSSAPI_cleanup_credentials }}

X11Forwarding {{ sshd_x11forwarding }}
PrintMotd {{ sshd_print_motd }}

PrintLastLog {{ sshd_print_last_log }}
TCPKeepAlive {{ sshd_TCP_keepalive }}

Banner {{ sshd_banner }}

AcceptEnv LANG LC_*

Subsystem sftp /usr/libexec/openssh/sftp-server

UsePAM yes
